Bug 93962 - [HSW, regression, bisected, CTS] ES2-CTS.gtf.GL2FixedTests.scissor.scissor - segfault/asserts
Summary: [HSW, regression, bisected, CTS] ES2-CTS.gtf.GL2FixedTests.scissor.scissor - ...
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: 11.0
Hardware: Other All
: medium critical
Assignee: Ian Romanick
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 92778
  Show dependency treegraph
 
Reported: 2016-02-02 08:18 UTC by Marta Löfstedt
Modified: 2016-04-09 01:19 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marta Löfstedt 2016-02-02 08:18:40 UTC
Software versions:
    4.4.0-040400rc7-generic
    OpenGL version string: 3.0 Mesa 11.2.0-devel (git-7221b8a)

GPU hardware:
    OpenGL renderer string: Mesa DRI Intel(R) Haswell Desktop 
    00:02.0 VGA compatible controller [0300]: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics Controller [8086:0412] (rev 06)

CPU hardware:
    x86_64
    Intel(R) Core(TM) i7-4770 CPU @ 3.40GHz
command: 
./glcts --deqp-case=ES2-CTS.gtf.GL2FixedTests.scissor.scissor

Mesa built with: --enable-debug => asserts:

glcts: intel_tiled_memcpy.c:170: rgba8_copy_aligned_src: Assertion `!(((uintptr_t)src) & 0xf)' failed.
Aborted (core dumped)

Mesa without --enable-debug => segfault.

Bisected to:
commit ab30426e335116e29473faaafe8b57ec760516ee
Author: Roland Scheidegger <sroland@vmware.com>
Date:   Fri Jan 29 03:18:36 2016 +0100

    i965: Provide sse2 version for rgba8 <-> bgra8 swizzle

This bug blocks CTS testing.
Comment 1 Marta Löfstedt 2016-02-03 08:11:24 UTC
The commit that cause the regression has been reverted:

commit 5e090079e128580be16f7679b7f8a194102c5a2d
Author: Roland Scheidegger <sroland@vmware.com>
Date:   Tue Feb 2 15:45:59 2016 +0100

    Revert "i965: Provide sse2 version for rgba8 <-> bgra8 swizzle"
    
    This reverts commit ab30426e335116e29473faaafe8b57ec760516ee.
Comment 2 Mark Janes 2016-02-03 22:51:31 UTC
Marta, what were your compilation options?  I didn't see this failure in our CI, and we don't specify any particular sse configuration options.

I'd like to figure out why this wasn't flagged by our CI.
Comment 3 Marta Löfstedt 2016-02-04 08:04:09 UTC
This is my typical configuration when building MESA:

--enable-shared-glapi --without-gallium-drivers --with-dri-drivers=i965 --disable-dri3 --enable-glx-tls --enable-debug
Comment 4 Jason Ekstrand 2016-04-09 01:19:24 UTC
This has now been fixed for the SSSE3 case.  We should be able to add Rolland's code back in.


bug/show.html.tmpl processed on Jan 17, 2017 at 08:55:33.
(provided by the Example extension).